---
#生产环境
spring:
  datasource:
    # 数据库连接池配置
    druid:
      # 初始化时建立物理连接的个数
      initial-size: 5
      # 最大连接池数量
      max-active: 10
      # 用来检测连接是否有效的sql语句
      validation-query: SELECT 1 FROM DUAL
      # 最小连接池数量
      min-idle: 5
      # 获取连接时最大等待时间，单位毫秒
      max-wait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位毫秒
      time-between-eviction-runs-millis: 60000
      url: jdbc:mysql://172.31.33.14:3306/pathfinder_im?useUnicode=true&useSSL=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8
      username: root
      password: Yum123456
      driver-class-name: com.mysql.cj.jdbc.Driver
      connectionInitSqls: set names utf8mb4

  jackson:
    default-property-inclusion: non_null
  rabbitmq:
    host: 172.31.33.14
    port: 5672
    username: admin
    password: Yum123456
    staff-offline-Queue-Name: staff.offline
    exchange-name: delayAck
    listener:
      simple:
        default-requeue-rejected: false
  redis:
    database: 0
    host: 172.31.33.14
    password: Yum123456
    port: 6379
  # （重要！）设置mvc默认语言为zh_CN，默认语言必须为static.i18n目录下有的语言配置文件，否则跟随服务器语言
  mvc:
    locale: zh_CN
  devtools:
    restart:
      log-condition-evaluation-delta: false
#日志配置
logging:
  file: logs/${spring.application.name}.log


serviceUrl:
  user-info-url: http://192.168.1.237:8889/api/app/user/userInfo
